image: registry.gitlab.com/pages/hugo/hugo_extended:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH'

pages:
  script:
  - hugo
  artifacts:
    paths:
    - public
  rules:
      - if: '$CI_COMMIT_BRANCH == "master"'